@import "libs/shared/assets/src/global-style/variable";

.extend-form-group {
  label.extend-form-item_label {
    color: $bg-gray-label;
    font-size: 14px;
    font-family: avertaB, Sans-serif;

    .extend-form-item_label__required {
      color: $bg-alert-default;
    }
  }
}

.has-errors {
  font-size: 12px;
  margin-top: 8px;
  color: $bg-gray-label;

  em {
    margin-right: 8px;
  }
}
.extend-form-item__has-errors {

    em, span {
      color: $bg-error-default;
    }

    ::ng-deep {
      .ant-picker, .ant-input, .ant-select {
        border: 1px solid $bg-error-default !important
      }
    }

  }

  .extend-form-item__has-warning {
    em, span {
      color: $bg-warning-default;
    }

    .ant-picker, .ant-input, .ant-select {
      border-color: $bg-warning-default !important;
    }
  }

  .extend-form-item__has-success {
    em, span {
      border-color: $bg-success-default;
    }

    .ant-picker, .ant-input, .ant-select {
      border-color: $bg-success-default !important;
    }
  }

